summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHans-Christoph Steiner <hans@eds.org>2017-03-07 19:04:13 +0100
committerHolger Levsen <holger@layer-acht.org>2017-03-07 19:07:08 +0100
commit15b0ab855d4d4ffc2ef1ce2ece529c03e8cf238d (patch)
tree10bf0ccc7551c5995fc87b84e83c1d8da87477bb
parent7f9c3e4ff0900e8901761f0c385184816d1e0a4d (diff)
downloadjenkins.debian.net-15b0ab855d4d4ffc2ef1ce2ece529c03e8cf238d.tar.xz
reproducible fdroid: delete old libvirt instances until fdroid tools can
The fdroid tools should be managing these old copies of the buildserver images. But until we get that sorted, we can just force delete them here to get the more important parts running. Signed-off-by: Holger Levsen <holger@layer-acht.org>
-rwxr-xr-xbin/reproducible_setup_fdroid_build_environment.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/bin/reproducible_setup_fdroid_build_environment.sh b/bin/reproducible_setup_fdroid_build_environment.sh
index c4a07fc2..584abdfa 100755
--- a/bin/reproducible_setup_fdroid_build_environment.sh
+++ b/bin/reproducible_setup_fdroid_build_environment.sh
@@ -43,6 +43,10 @@ ls -lR ~/.vagrant.d/ || echo no access
virsh --connect qemu:///system list --all || echo cannot virsh list
cat /etc/issue
+# delete old libvirt instances, until the fdroid tools do it reliably
+virsh --connect qemu:///system undefine builder_default || echo nothing to undefine
+virsh --connect qemu:///system vol-delete /var/lib/libvirt/images/builder_default.img || echo nothing to delete
+
# the way we handle jenkins slaves doesn't copy the workspace to the slaves
# so we need to "manually" clone the git repo here…
cd $WORKSPACE